<!doctype html>
<html lang="en">
<head>
</head>
<body>
    <div class="container">
        <div class="wrapper col-lg-offset-3 col-lg-6 col-md-8 col-md-offset-3">
            <div class="row">
                <%= form_for(resource, as: resource_name, url: registration_path(resource_name), html: { method: :put }) do |f| %>
                    <% if devise_error_messages! != "" %>
                        <div class="alert alert-danger">
                            <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                            <%= devise_error_messages! %>  
                        </div>
                    <%end%>
                    <h3 class="form-signin-heading" align="center">Edit <%= resource_name.to_s.humanize %></h3>

                    <%= f.label :email %>
                    <%= f.email_field :email, autofocus: true, autocomplete: "email", class: "form-control",placeholder: "Email Address", required: "" %><br>

                    <% if devise_mapping.confirmable? && resource.pending_reconfirmation? %>
                        <div>Currently waiting confirmation for: <%= resource.unconfirmed_email %></div>
                    <% end %>

                    <%= f.label :password %>
                    <% if @minimum_password_length %>
                        <em>(<%= @minimum_password_length %> characters minimum)</em>
                    <% end %><br />

                    <%= f.password_field :password, autocomplete: "new-password", class: "form-control",placeholder: "Password", required: "" %> <br>
                    <%= f.label :password_confirmation %><br />
                    <%= f.password_field :password_confirmation, autocomplete: "new-password", class: "form-control", placeholder: "Password confirmation", required: "" %> <br>

                    <%= f.label :current_password %> <i>(we need your current password to confirm your changes)</i><br />
                    <%= f.password_field :current_password, autocomplete: "current-password" , class: "form-control"%><br>

                    <%= f.submit "Update", class: "btn btn-lg btn-primary btn-block col-lg-offset-4 col-lg-4 col-md-offset-4 col-sm-offset-4 col-md-4" %><br>

                <% end %>
            </div>

            <div class="row" style="margin-top: 15px; margin-bottom: 15px; margin-left: 5px;">
                <%= button_to "Cancel my account", registration_path(resource_name), data: { confirm: "Are you sure?" }, method: :delete, class: "btn-danger btn btn-md col-lg-offset-12  col-md-offset-12 col-xs-offset-6 col-sm-offset-11" %>
            </div>
        </div>
    </div>
</body>
</html>
